org.jboss.jca.as.converters

## Enum CommonXa.Tag

- java.lang.Object
- - java.lang.Enum<CommonXa.Tag>
  - - org.jboss.jca.as.converters.CommonXa.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CommonXa.Tag>
  Enclosing interface:
    CommonXa

      public static enum CommonXa.Tag
      extends java.lang.Enum<CommonXa.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_TX_SEPARATE_POOLS` xaDatasourceClass tag
    `TRACK_CONNECTION_BY_TX` xaDatasourceProperty tag
    `UNKNOWN` always first
    `XA_RESOURCE_TIMEOUT` XaResourceTimeout tag

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommonXa.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static CommonXa.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommonXa.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final CommonXa.Tag UNKNOWN

      always first

    - #### TRACK_CONNECTION_BY_TX

          public static final CommonXa.Tag TRACK_CONNECTION_BY_TX

      xaDatasourceProperty tag

    - #### NO_TX_SEPARATE_POOLS

          public static final CommonXa.Tag NO_TX_SEPARATE_POOLS

      xaDatasourceClass tag

    - #### XA_RESOURCE_TIMEOUT

          public static final CommonXa.Tag XA_RESOURCE_TIMEOUT

      XaResourceTimeout tag

  - ### Method Detail

    - #### values

          public static CommonXa.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommonXa.Tag c : CommonXa.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommonXa.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CommonXa.Tag>`

    - #### forName

          public static CommonXa.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)